//
//  PQSpeechTranscriber.h
//  Pods
//
//  Created by ak on 2021/12/8.
//  功能：使用阿里云 SDK 进行实时语音转文字工具类

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN


//返回 delegate
@class PQSpeechTranscriberUtil;
@protocol PQSpeechTranscriberUtilDelegate <NSObject>

@optional

// 1,返回结果
- (void)eventCallback:(PQSpeechTranscriberUtil*)event asrResult:(NSString*)asrResult;


@end

@interface PQSpeechTranscriberUtil : NSObject
@property(nonatomic,weak) id<PQSpeechTranscriberUtilDelegate> delegate;


/// 初始化方法
/// @param token
/// @param appid
- (id)init:(NSString*)token appid:(NSString*)appid;
///  开始识别
- (void)startTranscriber;
// 结果识别
- (void)endTranscriber;
@end

NS_ASSUME_NONNULL_END

